
WikiNG - Bug #2282

user macro doesn't work well

06 Feb 2014 01:57 - Ki Won Kim

Status: Closed Start date:  

Priority: Normal Due date: 18 May 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0b   

Redmine version: 2.4.2 External issue:  

Description

I update redmine to 2.4.2 and WikiNG migrate.

I use “user” macro in comment then commented issue not found (404).

any other information this bug ??

Related issues:

Related to WikiNG - Bug #2292: Can't mention Massimo Rossello (some users?) Closed 11 May 2014 18 May 2014

History

#1 - 06 Feb 2014 02:01 - Ki Won Kim

No log output. just page 404 not found.

I found [Issues] page that issue but click that issue 404 error occured

#2 - 01 May 2014 02:29 - Alatar Al

Confirmed on 2.3.3 and 2.5.1. What info you need to diagnostic the problem?

I think the problem caused by mention function because plugin works fine until I update it to revision where mentions was introduced.

Part of log:

 ^[[1m^[[35mProject Load (0.3ms)^[[0m  SELECT `projects`.* FROM `projects` WHERE `projects`.`id` = 44 LIMIT 1

  ^[[1m^[[36mSetting Load (0.4ms)^[[0m  ^[[1mSELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'ho

st_name' LIMIT 1^[[0m

  ^[[1m^[[35mSetting Load (0.2ms)^[[0m  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'protoco

l' LIMIT 1

  ^[[1m^[[36mSetting Load (0.3ms)^[[0m  ^[[1mSELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'ap

p_title' LIMIT 1^[[0m

  ^[[1m^[[35mSetting Load (0.3ms)^[[0m  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'mail_fr

om' LIMIT 1

  ^[[1m^[[36mSetting Load (0.2ms)^[[0m  ^[[1mSELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'bc

c_recipients' LIMIT 1^[[0m

  ^[[1m^[[35m (0.7ms)^[[0m  ROLLBACK

  Rendered issues/_history.html.erb (1049.4ms)

  Rendered issues/show.html.erb within layouts/base (1244.2ms)

Missing template, responding with 404

  Rendered plugins/redmine_checkout/app/views/common/error.html.erb within layouts/base (0.4ms)

  Rendered plugins/redmine_cut_tag/app/views/hooks/redmine_cut_tag/_includes.html.erb (0.7ms)

  Rendered plugins/redmine_improved_searchbox/app/views/redmine_improved_searchbox/_redmine_improved_searchbox

_partial.html.erb (1.1ms)

  Rendered plugins/redmine_wiki_extensions/app/views/wiki_extensions/_html_header.html.erb (0.6ms)

  Rendered plugins/timelog_timer/app/views/timelog/_timer.html.erb (1.1ms)

  ^[[1m^[[36mRole Load (0.3ms)^[[0m  ^[[1mSELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 1 LIMIT 1^[[

0m

  ^[[1m^[[35mCACHE (0.0ms)^[[0m  SELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 1 LIMIT 1

  ^[[1m^[[36mSetting Load (0.3ms)^[[0m  ^[[1mSELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'pl

ugin_redmine_people' LIMIT 1^[[0m

  ^[[1m^[[35mCACHE (0.0ms)^[[0m  SELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 1 LIMIT 1

  ^[[1m^[[36mCACHE (0.0ms)^[[0m  ^[[1mSELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 1 LIMIT 1^[[0m

  ^[[1m^[[35mFavoriteProject Load (0.2ms)^[[0m  SELECT `favorite_projects`.* FROM `favorite_projects` WHERE `f

avorite_projects`.`user_id` = 3

  ^[[1m^[[36mCACHE (0.0ms)^[[0m  ^[[1mSELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 1 LIMIT 1^[[0m
  ^[[1m^[[35mCACHE (0.0ms)^[[0m  SELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 1 LIMIT 1

  ^[[1m^[[36mSetting Load (0.3ms)^[[0m  ^[[1mSELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'pl

ugin_line_numbers' LIMIT 1^[[0m

  Rendered plugins/redmine_wiki_extensions/app/views/wiki_extensions/_body_bottom.html.erb (0.5ms)

Completed 404 Not Found in 2180.5ms (Views: 70.2ms | ActiveRecord: 23.7ms)

#3 - 03 May 2014 22:54 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 1.0.0b

#4 - 17 May 2014 21:54 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 90

I believe the issue has been fixed in r69.

#5 - 18 May 2014 22:09 - Andriy Lesyuk

- Due date set to 18 May 2014

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
